#!/bin/sh
#(c) 2004,2005 Robert Shingledecker for the DSL Project
#
# Fetch and run the script to make the DSL USB Edition
#
. /etc/init.d/dsl-functions

DECISION=""
until [ "$DECISION" == "z" ] || [ "$DECISION" == "h" ]; do
   echo -n "${CYAN}Install for Zip or HDD compatibility? ${NORMAL}(z,h) "; read DECISION
done
if [ "$DECISION" == "z" ]; then
   TYPE="zip"
else
   TYPE="hdd"
fi 
MIRROR="ibiblio.org/pub/Linux/distributions/damnsmall/"
PROTOCOL="http"
FILE=pendrive_usb$TYPE.tar.gz
SCRIPT="${FILE%%.*}"

if [ ! -f $FILE ]; then
   wget "$PROTOCOL"://"$MIRROR"/current/"$FILE"
   if [ "$?" != 0 ]; then
      echo "Error while trying to fetch the USB install kit."
      echo -n "Press Enter key to continue..."; read gagme
      exit 1
   fi
fi
if [  -s "$FILE" ]; then
   tar -C / -zxf "$FILE"
   cd /opt
   sudo ./"$SCRIPT".sh
   cd ~
   exit 0
else
   echo "Error USB install kit not found. Need net connection to download."
   rm -f "$FILE"
   echo -n "Press Enter key to continue..."; read gagme
   exit 1
fi
